#pragma once

#include "CoreMinimal.h"
#include "SearchableItemStrategy.h"
#include "EItemRarity.h"
#include "SpecificTypeChestItemStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DEADBYDAYLIGHT_API USpecificTypeChestItemStrategy : public USearchableItemStrategy
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	EItemRarity ItemRarity;

public:
	USpecificTypeChestItemStrategy();
};

FORCEINLINE uint32 GetTypeHash(const USpecificTypeChestItemStrategy) { return 0; }
